/********************************************************
 *  ██████╗  ██████╗████████╗██╗
 * ██╔════╝ ██╔════╝╚══██╔══╝██║
 * ██║  ███╗██║        ██║   ██║
 * ██║   ██║██║        ██║   ██║
 * ╚██████╔╝╚██████╗   ██║   ███████╗
 *  ╚═════╝  ╚═════╝   ╚═╝   ╚══════╝
 * Geophysical Computational Tools & Library (GCTL)
 *
 * Copyright (c) 2022  Yi Zhang (yizhang-geo@zju.edu.cn)
 *
 * GCTL is distributed under a dual licensing scheme. You can redistribute 
 * it and/or modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either version 2 
 * of the License, or (at your option) any later version. You should have 
 * received a copy of the GNU Lesser General Public License along with this 
 * program. If not, see <http://www.gnu.org/licenses/>.
 * 
 * If the terms and conditions of the LGPL v.2. would prevent you from using 
 * the GCTL, please consider the option to obtain a commercial license for a 
 * fee. These licenses are offered by the GCTL's original author. As a rule, 
 * licenses are provided "as-is", unlimited in time for a one time fee. Please 
 * send corresponding requests to: yizhang-geo@zju.edu.cn. Please do not forget 
 * to include some description of your company and the realm of its activities. 
 * Also add information on how to contact you by electronic and paper mail.
 ******************************************************/

#include "gctl/geometry.h"

using namespace gctl;

int main(int argc, char const *argv[])
{
	array<vertex3dc> v(8);
	v[0].set(point3dc(0,0,0), 1);
	v[1].set(point3dc(10,0,0),2);
	v[2].set(point3dc(10,8,0),3);
	v[3].set(point3dc(0,8,0), 4);
	v[4].set(point3dc(0,0,6), 5);
	v[5].set(point3dc(10,0,6),6);
	v[6].set(point3dc(10,8,6),7);
	v[7].set(point3dc(0,8,6), 8);

	for (int i = 0; i < 8; ++i)
	{
		std::cout << v[i] << std::endl;
	}

	edge ee(v[1], v[0], 10);
	std::cout << ee << std::endl;

	block bk(v, 0, 1, 2, 3, 4, 5, 6, 7, 100);
	std::cout << bk << std::endl;

	return 0;
}